<?xml version="1.0" encoding="UTF-8"?><!--
- Licensed Materials - Property of IBM Corp.
- IBM UrbanCode Build
- (c) Copyright IBM Corporation 2012, 2014. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
--><pluginInfo>

  <!-- Do not change the release-version, the build process injects it. -->
  <release-version>32.810198</release-version>

  <release-notes>
    <!--
      **release-note IS required**

      The plugin-version name must match the plugin version found in the plugin.xml file

      The release-note should document the changes, improvements, or bug fixes introduced
      with the new plugin version

      The release-note may contain text or reference a file in the plugin zip package

      For example your release note could be:
      Support for was added for version 10.0 for software X
      or
      releaseNotes/release1.html (where release1.html contains html formatted version information)
      -->

    <release-note plugin-version="1">
      This plugin provides a integration for uBuild to create component versions in uDeploy.
    </release-note>
    <release-note plugin-version="2">
      Removed the offset and baseDir properties. Added in includes and excludes properties to help filter files being uploaded to uDeploy.
    </release-note>
    <release-note plugin-version="3">
      Added a new step to deploy component versions
    </release-note>
    <release-note plugin-version="4">
      Renamed properties on the Deploy Component Version step
    </release-note>
    <release-note plugin-version="5">
      Added a new step that allows setting properties on component versions
    </release-note>
    <release-note plugin-version="6">
      Added a new step to allow uploading of artifacts to an existing version
    </release-note>
    <release-note plugin-version="7">
      Added a two new steps that allow uploading of artifact sets to an existing version
    </release-note>
    <release-note plugin-version="8">
      Added a two new steps that allow uploading of artifact sets to an existing version
    </release-note>
    <release-note plugin-version="9">
      Add a optional description to created component versions. Optionally add properties in the create version step.
    </release-note>
    <release-note plugin-version="10">
      Update the 'Upload All Artifact Sets' to set component version description and properties.
    </release-note>
    <release-note plugin-version="11">
      Update the 'Upload All Artifact Sets' transfer artifacts from server to server. This requires uBuild 4.3 or later.
    </release-note>
    <release-note plugin-version="12">
      Fix a bug in the Create Component Version step when creating multiple new properties on the component. This requires uBuild 4.3 or later.
    </release-note>
    <release-note plugin-version="13">
      Update to a newer version of a library for HTTP communication.
    </release-note>
    <release-note plugin-version="14">
      Added a step for adding statuses to versions. Updated the Create Component Version step to allow adding statuses during creation.
    </release-note>
    <release-note plugin-version="15">
      Added compatibility with uDeploy servers before 4.8.4 when using the Create Component Version and Add Component Version Status steps.
    </release-note>
    <release-note plugin-version="16">
      Fix a bug in the Upload All Artifact Sets step where the step would fail if a component name contained a forward slash.
    </release-note>
    <release-note plugin-version="17">
      Fixed a bug in Set Version Properties step for uDeploy 5.0 where multiple Set Version Properties steps would overwrite each other.
    </release-note>
    <release-note plugin-version="18">
      Updated branding to IBM UrbanCode Deploy. Added support for using an auth token in place of a username/password combination.
    </release-note>
    <release-note plugin-version="19">
      Fixed a bug in the 'Upload Artifact Set' step where a unique directory was not used for artifacts.
    </release-note>
    <release-note plugin-version="20">
      Update the 'Upload All Artifact Sets' step to support IBM UrbanCode Deploy 6.1 and later. This requires uBuild version 5.0.1.3 or later.
    </release-note>
    <release-note plugin-version="21">
      Add a flag to the 'Upload Artifact Set' step to suppress the artifact set directory when uploading to IBM UrbanCode Deploy.
    </release-note>
    <release-note plugin-version="22">
      Fix the 'Deploy Component Version' step when using and auth token.
    </release-note>
    <release-note plugin-version="23">
      Fixed a bug where the 'Create Component Version' and 'Set Component Version Properties' steps could not set properties on component versions
    </release-note>
    <release-note plugin-version="24">
      Fixed a bug where the 'Upload All Artifact Sets' step could not set properties on component versions
    </release-note>
    <release-note plugin-version="25">
      Added a Create Version Link step. Added link creation options to the Create Component Version step.
    </release-note>
    <release-note plugin-version="26">
      Add a status synchronize function, AddVersionStatus and CreateComponentVersion if inputting the status step will automatically synchronize status between Deploy and Build
    </release-note>
    <release-note plugin-version="27">
      Add checkbox for test success percentage, code analytics, code coverage percentage, source changes, work items in steps that have the ability to create properties.
    </release-note>
    <release-note plugin-version="28">
      Fix a bug where not providing version properties would throw an error
    </release-note>
    <release-note plugin-version="29">
      Added RPX dependency and English translations
    </release-note>
    <release-note plugin-version="30">
      Add the ability to store artifacts in the IBM UrbanCode Deploy server. This requires UrbanCode Build 6.1.2.0 and UrbanCode Deploy 6.2.0.2.
    </release-note>
    <release-note plugin-version="31">
      Update the Create Component Version step to set the property that tells the IBM UrbanCode Build server that artifacts are stored in an IBM UrbanCode Deploy server. This requires UrbanCode Build 6.1.2.0 and UrbanCode Deploy 6.2.0.2.
    </release-note>
    <release-note plugin-version="32">
      Fix for getVersionStatus to handle versions with non-url-safe characters properly
    </release-note>

  </release-notes>
</pluginInfo>